gnutls_anti_replay_set_add_function(3)

NAME
gnutls_anti_replay_set_add_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_anti_replay_set_add_function(gnutls_anti_replay_t anti_replay, gnutls_db_add_func add_func);

ARGUMENTS

gnutls_anti_replay_t anti_replay
    is a gnutls_anti_replay_t type.

gnutls_db_add_func add_func
    is the function.

DESCRIPTION
Sets the function that will be used to store an entry if it is not already present in the resumed sessions database. This function returns 0 if the entry is successfully stored, and a negative error code otherwise. In particular, if the entry is found in the database, it returns GNUTLS_E_DB_ENTRY_EXISTS. The arguments to the add_func are: - ptr: the pointer set with gnutls_anti_replay_set_ptr() - exp_time: the expiration time of the entry - key: a pointer to the key - data: a pointer to data to store The data set by this function can be examined using gnutls_db_check_entry_expire_time() and gnutls_db_check_entry_time().

SINCE
3.6.5

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/